
Figure - Bug #118875
【AF】【EVT3】【腾讯视频】跑完monkey后腾讯视频无法打开，等待其进入屏保、熄屏后，点亮屏幕->设备
黑屏，背光亮
2023-06-21 15:31 - CD TEST-方永红

Status: New Start date: 2023-06-21

Priority: Urgent Due date:

Assignee: CD FW 曹覃刚 % Done: 0%

Category: 黑屏 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0621-DB

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause:

Description

【测试版本】

0621-db

ftp://cdiot@192.168.87.46/Pre_figure/DailyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/user/20230621/0449/FlatBuild_HH_MCE_FSE.M.D.user.

01.00.C105%28X105%29.202306210449.zip

【测试前提】

ota升级至0621DB-monkey测试3小时左右

【测试步骤】

1、连接蓝牙耳机

2、打开腾讯视频

【测试结果】

2、腾讯视频无法正常打开（具体现象见视频）

等待期间-设备进入屏保、5秒后熄屏

点亮屏幕->设备黑屏、背光亮，无内容显示（投屏可用但也无内容显示）

History

#1 - 2023-06-21 15:37 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118875

#2 - 2023-06-21 15:49 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD FW 郑雷

#3 - 2023-06-21 19:00 - CD FW 郑雷

[当前状态]

06-21 16:02:26.839  1599  1862 W ActivityManager: Missing app error report, app = com.android.launcher3 crashing = false notResponding = true

06-21 16:02:26.839  1599  1862 W ActivityManager: Missing app error report, app = com.baidu.appsearch crashing = false notResponding = true

06-21 16:02:26.839  1599  1862 W ActivityManager: Missing app error report, app = com.tencent.qqmusicpad crashing = false notResponding = true

06-21 16:02:26.839  1599  1862 W ActivityManager: Missing app error report, app = com.hryt.lebotp crashing = false notResponding = true

06-21 16:02:26.839  1599  1862 W ActivityManager: Missing app error report, app = com.thundercomm.gamemode crashing = false notResponding = true

系统很多app无响应，说明系统资源比较紧张的状态。
但是CPU的负载和利用率是处于比较ok的状态

DUMP OF SERVICE CRITICAL cpuinfo:

Load: 5.84 / 6.07 / 6.61

CPU usage from 109260ms to 48509ms ago (2023-06-21 15:59:20.045 to 2023-06-21 16:00:20.796):

  11% 1599/system_server: 6.4% user + 4.7% kernel / faults: 6847 minor

  10% 31042/com.qiyi.video.lite:plugin1: 9.1% user + 1.4% kernel / faults: 19537 minor

  8.7% 3409/com.hryt.lebotp: 3.8% user + 4.9% kernel / faults: 4198 minor

  3.4% 6769/com.qiyi.video.lite: 1% user + 2.3% kernel / faults: 156 minor

  3% 21481/com.baidu.appsearch: 2% user + 1% kernel / faults: 1074 minor

  1.9% 19469/com.tencent.qqmusic: 0.9% user + 1% kernel / faults: 406 minor

  1.6% 702/netd: 0.5% user + 1.1% kernel / faults: 1808 minor

  1.4% 1003/surfaceflinger: 0.6% user + 0.8% kernel / faults: 2 minor

  1.1% 533/logd: 0.3% user + 0.8% kernel / faults: 30 minor

  1% 19263/com.tencent.qqmusic:QQPlayerService: 0.5% user + 0.5% kernel / faults: 91 minor

  0.9% 32610/kworker/u16:2-ufs_clkscaling_0: 0% user + 0.9% kernel

  0.9% 30871/com.tencent.qqlive:cache: 0.3% user + 0.5% kernel / faults: 51 minor

  0.8% 1189/tlog: 0.4% user + 0.3% kernel / faults: 43 minor

  0.8% 3222/com.android.providers.media.module: 0.4% user + 0.4% kernel / faults: 3155 minor

  0.7% 18811/kworker/u16:9-kgsl-mementry: 0% user + 0.7% kernel

  0.6% 5716/kworker/u16:15-devfreq_wq: 0% user + 0.6% kernel / faults: 3 minor

  0.6% 23590/com.ss.android.ugc.aweme: 0.4% user + 0.2% kernel / faults: 342 minor

  0.6% 2329/dp_rx_thread_0: 0% user + 0.6% kernel

  0.5% 18800/kworker/u16:4-ufs_pm_qos_0: 0% user + 0.5% kernel

  0.5% 22150/kworker/u16:12-kverityd: 0% user + 0.5% kernel

  0.5% 30812/kworker/u16:14-adb: 0% user + 0.5% kernel / faults: 1 minor

  0.5% 2248/com.android.networkstack.process: 0.4% user + 0% kernel / faults: 1299 minor

  0.5% 703/zygote64: 0% user + 0.5% kernel / faults: 925 minor

  0.4% 10/rcu_preempt: 0% user + 0.4% kernel

  0.3% 22606/com.qiyi.video.lite:downloader: 0.2% user + 0.1% kernel / faults: 1 minor

  0.3% 30666/com.tencent.qqlive: 0.1% user + 0.2% kernel / faults: 134 minor

  0.3% 2365/com.thundercomm.microservice: 0.1% user + 0.1% kernel / faults: 156 minor

  0.3% 11180/kworker/u16:7-ufs_pm_qos_0: 0% user + 0.3% kernel

  0.3% 13/rcuop/0: 0% user + 0.3% kernel

  0.3% 32/rcuop/2: 0% user + 0.3% kernel

  0.2% 12887/kworker/0:0-sock_diag_events: 0% user + 0.2% kernel

  0.2% 535/servicemanager: 0.1% user + 0.1% kernel

  0.2% 3023/mdnsd: 0.1% user + 0.1% kernel

  0.2% 701/statsd: 0% user + 0.1% kernel / faults: 20 minor

  0.1% 682/vendor.ts.uart@1.0-service: 0% user + 0.1% kernel

  0.1% 2370/com.thundercomm.microsettings: 0% user + 0% kernel / faults: 332 minor

  0.1% 18809/kworker/u17:0-kgsl-events: 0% user + 0.1% kernel

  0.1% 8505/kworker/u17:4-hal_register_write_wq: 0% user + 0.1% kernel

  0.1% 19054/kworker/u16:5-ufs_clkscaling_0: 0% user + 0.1% kernel / faults: 2 minor

  0.1% 1820/hht_ota_mgr: 0% user + 0.1% kernel

  0.1% 7830/com.android.bluetooth: 0% user + 0% kernel / faults: 507 minor

  0.1% 24/rcuop/1: 0% user + 0.1% kernel

  0.1% 40/rcuop/3: 0% user + 0.1% kernel

  0.1% 9075/kworker/2:2-sock_diag_events: 0% user + 0.1% kernel

  0.1% 1/init: 0% user + 0% kernel / faults: 147 minor

  0.1% 9/ksoftirqd/0: 0% user + 0.1% kernel

  0.1% 534/lmkd: 0% user + 0.1% kernel

  0.1% 1484/msm_irqbalance: 0% user + 0% kernel

  0.1% 17495/kworker/3:2-sock_diag_events: 0% user + 0.1% kernel
  0.1% 31928/com.tencent.qqlive:xg_vip_service: 0% user + 0% kernel / faults: 6 minor

  0% 2030/com.android.systemui: 0% user + 0% kernel / faults: 35 minor

  0% 2290/webview_zygote: 0% user + 0% kernel / faults: 240 minor

  0% 3029/irq/16-90b6400.: 0% user + 0% kernel

  0% 9495/kworker/1:2-events: 0% user + 0% kernel

  0% 30751/kworker/u16:13+kverityd: 0% user + 0% kernel

  0% 1210/cnss_diag: 0% user + 0% kernel

  0% 3035/irq/17-9091000.: 0% user + 0% kernel

  0% 18799/kworker/u16:0-kverityd: 0% user + 0% kernel

  0% 24544/com.ss.android.ugc.aweme:push: 0% user + 0% kernel / faults: 38 minor

  0% 11/rcu_sched: 0% user + 0% kernel

  0% 64/rcuop/6: 0% user + 0% kernel

  0% 101/irq/41-tsens-up: 0% user + 0% kernel

  0% 536/hwservicemanager: 0% user + 0% kernel

  0% 848/android.hardware.memtrack@1.0-service: 0% user + 0% kernel

  0% 884/vendor.qti.hardware.iop@2.0-service: 0% user + 0% kernel

  0% 29402/com.android.webview:webview_service: 0% user + 0% kernel / faults: 72 minor

  0% 21/ksoftirqd/1: 0% user + 0% kernel

  0% 29/ksoftirqd/2: 0% user + 0% kernel

  0% 37/ksoftirqd/3: 0% user + 0% kernel

  0% 48/rcuop/4: 0% user + 0% kernel

  0% 88/qmp_aop: 0% user + 0% kernel

  0% 856/android.hardware.wifi@1.0-service: 0% user + 0% kernel / faults: 1 minor

  0% 892/vendor.qti.hardware.servicetracker@1.2-service: 0% user + 0% kernel

  0% 952/qrtr-ns: 0% user + 0% kernel

  0% 975/audioserver: 0% user + 0% kernel

  0% 24580/com.ss.android.ugc.aweme:pushservice: 0% user + 0% kernel / faults: 2 minor

  0% 27259/com.tencent.qqmusicpad:wns: 0% user + 0% kernel / faults: 21 minor

  0% 14/rcuos/0: 0% user + 0% kernel

  0% 33/rcuos/2: 0% user + 0% kernel

  0% 56/rcuop/5: 0% user + 0% kernel

  0% 837/android.hidl.allocator@1.0-service: 0% user + 0% kernel

  0% 1021/tftp_server: 0% user + 0% kernel

  0% 1233/mediaserver: 0% user + 0% kernel

  0% 27035/com.tencent.qqmusicpad: 0% user + 0% kernel / faults: 19 minor

  0% 25/rcuos/1: 0% user + 0% kernel

  0% 36/migration/3: 0% user + 0% kernel

  0% 41/rcuos/3: 0% user + 0% kernel

  0% 44/migration/4: 0% user + 0% kernel

  0% 65/rcuos/6: 0% user + 0% kernel

  0% 72/rcuop/7: 0% user + 0% kernel

  0% 73/rcuos/7: 0% user + 0% kernel

  0% 77/kauditd: 0% user + 0% kernel

  0% 681/ipacm: 0% user + 0% kernel

  0% 704/zygote: 0% user + 0% kernel / faults: 43 minor

  0% 754/iptables-restore: 0% user + 0% kernel

  0% 755/ip6tables-restore: 0% user + 0% kernel

  0% 825/ssgtzd: 0% user + 0% kernel

  0% 909/vendor.qti.qspmhal@1.0-service: 0% user + 0% kernel

  0% 923/vendor.thundercomm.hardware.tsnv@1.0-service: 0% user + 0% kernel / faults: 16 minor

  0% 964/pd-mapper: 0% user + 0% kernel

  0% 1188/traced: 0% user + 0% kernel / faults: 72 minor

  0% 1214/cameraserver: 0% user + 0% kernel
  0% 1234/selfinstaller: 0% user + 0% kernel

  0% 1243/media.codec: 0% user + 0% kernel

  0% 1313/cnss-daemon: 0% user + 0% kernel

  0% 1323/wlan_logging_th: 0% user + 0% kernel

  0% 2582/com.thundercomm.tcservice: 0% user + 0% kernel / faults: 4 minor

  0% 2984/com.qualcomm.location: 0% user + 0% kernel / faults: 4 minor

  0% 2987/adbd: 0% user + 0% kernel / faults: 264 minor

  0% 5988/kworker/7:2-mm_percpu_wq: 0% user + 0% kernel

  0% 12107/kworker/5:2-mm_percpu_wq: 0% user + 0% kernel

  0% 20965/kworker/6:0-mm_percpu_wq: 0% user + 0% kernel

  0% 22969/com.baidu.appsearch:bdservice_v1: 0% user + 0% kernel / faults: 16 minor

  0% 24891/kworker/4:1-events: 0% user + 0% kernel

  0% 24960/kworker/0:2H-kblockd: 0% user + 0% kernel

  0% 25329/kworker/2:0-events: 0% user + 0% kernel

 +0% 17419/com.tencent.android.qqdownloader:daemon: 0% user + 0% kernel

 +0% 17437/com.tencent.android.qqdownloader:live: 0% user + 0% kernel

 +0% 17474/com.tencent.android.qqdownloader: 0% user + 0% kernel

 +0% 17523/chmod: 0% user + 0% kernel

 +0% 17553/com.tencent.android.qqdownloader:cloud: 0% user + 0% kernel

 +0% 17618/app_d: 0% user + 0% kernel

 +0% 17828/app_d: 0% user + 0% kernel

 +0% 17892/com.android.webview:sandboxed_process0:org.chromium.content.app.SandboxedProcessService0:0: 0% user + 0% kernel

21% TOTAL: 13% user + 7% kernel + 0% iowait + 0.8% irq + 0.5% softirq

--------- 0.003s was the duration of dumpsys cpuinfo, ending at: 2023-06-21 16:01:09

-------------------------------------------------------------------------------

系统memory的信息：

06-21 15:53:02.811  1000  1599 31361 I am_meminfo: [2871488512,509591552,133648384,578920448,544041984]

Total RAM: 7,896,244K (status normal)

 Free RAM: 3,039,280K (        0K cached pss + 2,698,036K cached kernel +   341,244K free)

      ION:   229,212K (   18,488K mapped +   210,724K unmapped +         0K pools)

 Used RAM: 4,475,314K (3,732,086K used pss +   743,228K kernel)

 Lost RAM:   792,089K

     ZRAM:   116,612K physical used for   572,016K in swap (4,194,300K total swap)

   Tuning: 512 (large 512), oom   322,560K, restore limit   107,520K (high-end-gfx)

--------- 9.560s was the duration of dumpsys meminfo, ending at: 2023-06-21 16:02:03

看起来Free Ram还是充足的状态，但是系统却很卡

Free RAM的使用是怎样的？ Cache memory能正常使用吗？

[下一步Action]

确认memory是否还有优化空间

#4 - 2023-07-11 14:18 - CD FW 郑雷

[当前状态]

lmkd查杀的阈值是:

[sys.lmk.minfree_levels]: [18432:0,23040:100,27648:200,32256:250,55296:900,80640:950]

当前剩余内存剩余315M时，查杀oom值大于等于950(cached app)的进程。

从当前系统的meminfo查看，还没达到查杀cached app的阈值.
#5 - 2023-10-27 10:19 - CD FW-廖涛

- Assignee changed from CD FW 郑雷 to CD FW 曹覃刚

Files

20230621-152909.mp4 4.08 MB 2023-06-21 CD TEST-方永红

1513.txt 17.2 MB 2023-06-21 CD TEST-方永红
